[@rxap/data-grid](../wiki/globals) / DataGridEditCellDefDirective

# Class: DataGridEditCellDefDirective\<T\>

Defined in: [data-grid-edit-cell-def.directive.ts:16](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/data-grid/src/lib/data-grid-edit-cell-def.directive.ts#L16)

## Type Parameters

• **T** *extends* `Record`\<`string`, `any`\>

## Constructors

### new DataGridEditCellDefDirective()

> **new DataGridEditCellDefDirective**\<`T`\>(`template`): [`DataGridEditCellDefDirective`](../wiki/Class.DataGridEditCellDefDirective)\<`T`\>

Defined in: [data-grid-edit-cell-def.directive.ts:24](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/data-grid/src/lib/data-grid-edit-cell-def.directive.ts#L24)

#### Parameters

##### template

`TemplateRef`\<[`DataGridEditCellDefDirectiveContext`](../wiki/Interface.DataGridEditCellDefDirectiveContext)\<`T`\>\>

#### Returns

[`DataGridEditCellDefDirective`](../wiki/Class.DataGridEditCellDefDirective)\<`T`\>

## Properties

### template

> **template**: `TemplateRef`\<[`DataGridEditCellDefDirectiveContext`](../wiki/Interface.DataGridEditCellDefDirectiveContext)\<`T`\>\>

Defined in: [data-grid-edit-cell-def.directive.ts:26](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/data-grid/src/lib/data-grid-edit-cell-def.directive.ts#L26)

## Methods

### ngTemplateContextGuard()

> `static` **ngTemplateContextGuard**\<`T`\>(`dir`, `ctx`): `ctx is DataGridEditCellDefDirectiveContext<T>`

Defined in: [data-grid-edit-cell-def.directive.ts:17](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/data-grid/src/lib/data-grid-edit-cell-def.directive.ts#L17)

#### Type Parameters

• **T** *extends* `Record`\<`string`, `any`\>

#### Parameters

##### dir

[`DataGridEditCellDefDirective`](../wiki/Class.DataGridEditCellDefDirective)\<`T`\>

##### ctx

`any`

#### Returns

`ctx is DataGridEditCellDefDirectiveContext<T>`
